@import url("./global.css");

/* index */

.museum-start {
  background-image: url(../../images/futureai.jpg);
  position: relative;
  background-size: cover;
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: center;
  min-height: 500px;
  margin-top: -16px;
}

.start-content h1 {
  font-size: 2.75rem;
  margin-bottom: -5px;
}

.start-content h2 {
  font-size: 1.5rem;
  margin-bottom: 30px;
}

.museum-start .start-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  position: absolute;
  max-width: 500px;
  top: 90px;
  left: 50%;
  transform: translateX(-50%);
}

.together {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 520px;
  margin: 30px 0px;
  padding: 0 10px;
}

.together-galaxy-container {
  width: 100%;
  height: 520px;
}

.together-galaxy {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.together-content {
  background-color: black;
  color: #ffffff;
  width: 100%;
  min-height: 520px;
  padding: 50px 50px 10px 40px;
}

.together-content h2 {
  padding-bottom: 30px;
}

.together-content p {
  max-width: 550px;
}

.learn-more a {
  color: white;
}

.learn-more:hover {
  transform: scaleY(1.08);
}

.learn-more2 a {
  font-weight: 500;
  color: black;
}

.learn-more2:hover {
  transform: scaleY(1.08);
}

.explore {
  padding: 0 10px;
}

.explore-img-container {
  width: 100%;
  height: 400px;
  overflow: hidden;
}

.explore-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.explore-content {
  width: 100%;
  background-color: #d9d9d9;
}

.explore-content h3 {
  display: inline-block;
  background-color: #fa8fa2;
  padding: 10px;
  margin-left: 40px;
  margin-bottom: -15px;
}

#blue {
  background-color: #7fc3e0;
}

#purple {
  background-color: #e192f4;
}

#learn1 {
  margin-top: 9%;
}

#learn3 {
  margin-top: 21%;
}

.explore-content p {
  padding: 10px 40px;
}

.stars-club {
  display: flex;
  flex-direction: column-reverse;
  margin-top: 30px;
  padding: 0 10px;
}

.starsclub-content {
  background-color: black;
  color: #ffffff;
  min-height: 400px;
  width: 100%;
  padding: 50px 40px 10px 50px;
  margin-top: -8px;
}

.starsclub-content h4 {
  display: inline-block;
  background-color: #7fc3e0;
  color: black;
  padding: 10px;
  font-size: 1.5rem;
}

.stars-text {
  font-family: "Righteous", verdana, sans-serif;
  font-size: 1.2rem;
  margin-bottom: 40px;
}

.starsclub-container {
  min-height: 400px;
  width: 100%;
  overflow: hidden;
}

.starsclub-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.news-text {
  margin-bottom: 0px;
  font-size: 1.1rem;
}

.news-content:hover {
  transform: scale(1.01);
}

.news-content p {
  padding: 0 20px 20px 20px;
}

.news h4 {
  font-size: 1.8rem;
}

.news-content {
  margin-bottom: 10px;
}

@media screen and (max-width: 515px) {
  .museum-start .start-content {
    top: 80px;
  }

  .start-content p {
    margin-bottom: 20px;
  }
}

@media screen and (min-width: 655px) {
  .together,
  .explore,
  .stars-club {
    padding: 0 20px;
  }
}

@media screen and (max-width: 767px) {
  .starsclub-container {
    height: 400px;
  }
}

@media screen and (min-width: 768px) {
  .start-content h1 {
    font-size: 3.5rem;
  }

  .together {
    flex-direction: row;
  }

  .explore {
    display: flex;
    flex-wrap: wrap;
    gap: 1%;
  }

  .explore-content {
    flex: 1 1 400px;
    margin-top: 10px;
  }

  .stars-club {
    flex-direction: row;
  }

  .starsclub-content {
    margin-top: 0px;
  }

  .news-content {
    margin-bottom: 0px;
  }
}

@media screen and (min-width: 972px) {
  .museum-start .start-content {
    top: 110px;
  }
}

@media screen and (min-width: 850px) and (max-width: 1100px) {
  .stars-club {
    padding-top: 10px;
  }
}

@media screen and (min-width: 769px) and (max-width: 1100px) {
  .together {
    overflow: hidden;
    margin: 40px 0px;
  }

  .together-galaxy-container {
    height: auto;
  }

  .stars-club {
    margin-top: 20px;
  }
}

@media screen and (min-width: 200px) and (max-width: 799px) {
  .together-galaxy-container {
    overflow: hidden;
  }
}

@media screen and (min-width: 1100px) {
  .together,
  .stars-club,
  .explore {
    margin: 60px 80px;
  }

  .together {
    padding-top: 10px;
  }

  .stars-club {
    padding: 0 20px;
  }
}

@media screen and (min-width: 1850px) {
  .none {
    display: none;
  }
}
